// @import './custom';

@import "./custom";
@import "./variables";

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;800&display=swap");
* {
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

html,
body {
  width: 100%;
}

ol {
  list-style-type: none;
  padding: 0%;
}
iframe {
  width: 100%;
}

body {
  background-color: #fff;
  color: #444;
}
a {
  color: $link;
}
p {
  margin: 0;
}
.header {
  display: flex;
  width: 100%;
  > button {
    position: absolute;
    right: 1rem;
    top: 3rem;
    z-index: 2;
  }

  > img {
    width: 55%;
    height: 7rem;
    margin-inline: 1rem;
  }

  &__container {
    &--top {
      display: none;
      > h1 {
        margin: 0;
      }
    }
    &--bottom {
      display: flex;
      flex-direction: column;
      background-color: white;
      position: absolute;

      right: 0rem;
      top: 0;
      z-index: 1;
    }
    &--search {
      display: flex;
      align-items: center;

      > input {
        border: none;
        border-bottom: 1px solid grey;
        overflow: visible;
      }
      > label {
        margin: 0;
      }
    }
    &--link {
      display: flex;
      flex-flow: row-reverse;
      align-items: center;
      > a {
        margin: 1rem;
      }
      &--icon {
        margin: 1rem;
      }
    }
  }
}

.nav {
  display: flex;
  padding: 2rem;
  width: 60%;

  &__link {
    margin-block: 1rem;
    margin-inline: 1rem;
  }
}

.cover {
  height: 100%;
  &__container {
    height: 100%;
  }

  &__image {
    width: 100%;
  }
  &__logo {
    position: absolute;
    left: 55%;
    bottom: 60%;
    > img {
      height: 5rem;
    }
  }
  &__banner {
    text-align: -webkit-center;
    padding: 2rem;
    background-color: lightskyblue;
    width: 100%;
  }
}

.newProducts {
  > div {
    display: flex;
    justify-content: center;
    padding: 2rem;
  }

  &__title {
    > p {
      display: flex;
      align-items: center;
      width: 100%;
    }
    p {
      display: flex;
      flex-direction: row;
    }
    p:before,
    p:after {
      content: "";
      flex: 1 1;
      border-bottom: 1px solid;
      margin: auto;
    }
    p:before {
      margin-right: 10px;
    }
    p:after {
      margin-left: 10px;
    }
  }
  &__list {
    display: flex;
    overflow-x: scroll;
    scroll-behavior: smooth;
    height: 60vh;
  }

  &__item {
    height: 15rem;
    margin-inline: 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;

    > h5 {
      margin-top: 0.5rem;
      margin-block-end: -0.5rem;
      padding: 0.5rem;
    }

    > p {
      color: $lightgrey;
    }
    > a {
      font-weight: 600;
    }

    > img {
      height: 110%;
    }
  }
}

.categories {
  &__list {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-block: 0;
  }
}
.category {
  &__item {
    position: relative;
    text-align: center;
    width: fit-content;
    margin: 0.5rem;

    > img {
      width: 20rem;
      height: 20rem;
      aspect-ratio: 1;
      filter: brightness(0.5);
    }
    > a {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      font-size: 2rem;
      color: $white;
    }
    > img,
    a:hover {
      color: $white;
      text-decoration-color: $white;
    }
    > img:hover {
      filter: brightness(0.9);
      transition: ease-out filter 0.5s;
    }
  }
}

.bestSellers {
  > div {
    display: flex;
    justify-content: center;
    padding: 2rem;
  }
  &__title {
    > p {
      display: flex;
      align-items: center;
      width: 100%;
    }
    p {
      display: flex;
      flex-direction: row;
    }
    p:before,
    p:after {
      content: "";
      flex: 1 1;
      border-bottom: 1px solid;
      margin: auto;
    }
    p:before {
      margin-right: 10px;
    }
    p:after {
      margin-left: 10px;
    }
  }
  &__list {
    display: flex;
    overflow-x: scroll;
    scroll-behavior: smooth;
    height: 60vh;
  }

  &__item {
    height: 15rem;
    margin-inline: 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;

    > h5 {
      margin-top: 0.5rem;
      margin-block-end: -0.5rem;
      padding: 0.5rem;
    }

    > p {
      color: $lightgrey;
    }
    > a {
      font-weight: 600;
    }

    > img {
      height: 110%;
    }
  }
}

.brandImages {
  &__container {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  &__list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    > a {
      width: 20rem;
      display: contents;
      > img {
        width: 40%;
        margin: 0.5rem;
        aspect-ratio: 1;
      }
    }
  }
  &__title {
    position: absolute;
    background-color: cadetblue;
    padding: 1rem;

    > h3 {
      padding: 0;
      margin: 0;
    }
  }
}

.footer {
  width: 100%;
  place-content: space-between;
  background-color: $grey;
  &__logo {
    margin-block: 2rem;
    margin-inline: 2rem;

    > img {
      width: 15rem;
    }
  }
  &__container {
    &--links {
      display: flex;
      align-items: flex-end;
      flex-direction: column;
      margin-block: 2rem;
      margin-inline: 2rem;
    }
  }

  &__newsletter {
    &--form {
      display: flex;
      flex-direction: column;
      margin-inline: 2rem;

      > span {
        align-items: baseline;
        > label {
          display: flex;
        }
        > div {
          display: flex;
        }
      }
    }
  }
}
.menuButton {
  background: none;
  border: none;
  height: 2rem;

  > i {
    font-size: 2rem;
  }
}

.isHidden {
  display: none;
  transition-timing-function: ease-in;
  transition: linear 1s;
}
.headerDesktop {
  display: none;
}
@include mobile {
  .header {
    display: flex;
    width: 100%;
    > button {
      position: absolute;
      right: 1rem;
      top: 3rem;
      z-index: 2;
    }

    > img {
      width: 55%;
      height: 7rem;
      margin-inline: 1rem;
    }

    &__container {
      &--top {
        display: none;
        > h1 {
          margin: 0;
        }
      }
      &--bottom {
        display: flex;
        flex-direction: column;
        background-color: white;
        position: absolute;

        right: 0rem;
        top: 0;
        z-index: 1;
      }
      &--search {
        display: flex;
        align-items: center;

        > input {
          border: none;
          border-bottom: 1px solid grey;
          overflow: visible;
        }
        > label {
          margin: 0;
        }
      }
      &--link {
        display: flex;
        flex-flow: row-reverse;
        align-items: center;
        > a {
          margin: 1rem;
        }
        &--icon {
          margin: 1rem;
        }
      }
    }
  }

  .nav {
    display: flex;
    padding: 2rem;
    width: 100%;
    &__link {
      margin-block: 1rem;
      margin-inline: 1rem;
    }
  }

  .cover {
    height: 100%;
    &__container {
      height: 100%;
    }

    &__image {
      width: 100%;
    }
    &__logo {
      position: absolute;
      left: 55%;
      bottom: 60%;
      > img {
        height: 5rem;
      }
    }
    &__banner {
      text-align: -webkit-center;
      padding: 2rem;
      background-color: lightskyblue;
      width: 100%;
    }
  }

  .newProducts {
    > div {
      display: flex;
      justify-content: center;
      padding: 2rem;
    }

    &__title {
      > p {
        display: flex;
        align-items: center;
        width: 100%;
      }
      p {
        display: flex;
        flex-direction: row;
      }
      p:before,
      p:after {
        content: "";
        flex: 1 1;
        border-bottom: 1px solid;
        margin: auto;
      }
      p:before {
        margin-right: 10px;
      }
      p:after {
        margin-left: 10px;
      }
    }
    &__list {
      display: flex;
      overflow-x: scroll;
      scroll-behavior: smooth;
      height: 60vh;
      /*   height: 50vh; */
    }

    &__item {
      height: 15rem;
      margin-inline: 2rem;
      display: flex;
      flex-direction: column;
      align-items: center;

      > h5 {
        margin-top: 0.5rem;
        margin-block-end: -0.5rem;
        padding: 0.5rem;
      }

      > p {
        color: $lightgrey;
      }
      > a {
        font-weight: 600;
      }

      > img {
        height: 110%;
      }
    }
  }

  .categories {
    &__list {
      display: flex;
      justify-content: center;
      flex-wrap: wrap;
      margin-block: 0;
    }
  }
  .category {
    &__item {
      position: relative;
      text-align: center;
      width: fit-content;
      margin: 0.5rem;

      > img {
        width: 20rem;
        height: 20rem;
        aspect-ratio: 1;
        filter: brightness(0.5);
      }
      > a {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        font-size: 2rem;
        color: $white;
      }
      > img,
      a:hover {
        color: $white;
        text-decoration-color: $white;
      }
      > img:hover {
        filter: brightness(0.9);
        transition: ease-out filter 0.5s;
      }
    }
  }

  .bestSellers {
    > div {
      display: flex;
      justify-content: center;
      padding: 2rem;
    }
    &__title {
      > p {
        display: flex;
        align-items: center;
        width: 100%;
      }
      p {
        display: flex;
        flex-direction: row;
      }
      p:before,
      p:after {
        content: "";
        flex: 1 1;
        border-bottom: 1px solid;
        margin: auto;
      }
      p:before {
        margin-right: 10px;
      }
      p:after {
        margin-left: 10px;
      }
    }
    &__list {
      display: flex;
      overflow-x: scroll;
      scroll-behavior: smooth;
      height: 40vh;
    }

    &__item {
      height: 15rem;
      margin-inline: 2rem;
      display: flex;
      flex-direction: column;
      align-items: center;

      > h5 {
        margin-top: 0.5rem;
        margin-block-end: -0.5rem;
        padding: 0.5rem;
      }

      > p {
        color: $lightgrey;
      }
      > a {
        font-weight: 600;
      }

      > img {
        height: 110%;
      }
    }
  }

  .brandImages {
    &__container {
      position: relative;
      display: flex;
      align-items: center;
      justify-content: center;
    }
    &__list {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      > a {
        width: 20rem;
        display: contents;
        > img {
          width: 40%;
          margin: 0.5rem;
          aspect-ratio: 1;
        }
      }
    }
    &__title {
      position: absolute;
      background-color: cadetblue;
      padding: 1rem;

      > h3 {
        padding: 0;
        margin: 0;
      }
    }
  }

  .footer {
    width: 100%;
    background-color: $grey;
    place-content: space-between;

    &__logo {
      margin-block: 2rem;
      margin-inline: 2rem;

      > img {
        width: 15rem;
      }
    }
    &__container {
      &--links {
        display: flex;
        align-items: flex-end;
        flex-direction: column;
        margin-inline: 2rem;
      }
    }

    &__newsletter {
      &--form {
        display: flex;
        flex-direction: column;



        > span {
          align-items: baseline;
          > label {
            display: flex;
          }

          > div {
            display: flex;
          }
        }
      }
    }
  }
  .menuButton {
    background: none;
    border: none;
    height: 2rem;

    > i {
      font-size: 2rem;
    }
  }

  .isHidden {
    display: none;
    transition-timing-function: ease-in;
    transition: linear 1s;
  }
  .headerDesktop {
    display: none;
  }
}

@include tablet {
  .header {
    display: flex;

    &__container {
      &--search {
        margin-inline: 5rem;
      }
    }

    > img {
      width: unset;
      height: 10rem;
    }
  }
  .nav {
    width: 100%;
  }
  .newProducts {
    &__list {
      height: 40vh;
    }
  }
  .bestSellers {
    &__list {
      height: 40vh;
    }
  }

  .isHidden {
    display: none;
    transition-timing-function: ease-in;
    transition: linear 1s;
  }
  .headerDesktop {
    display: none;
  }
}

@include desktop {
  .header {
    > img {
      display: none;
    }
  }
  .headerDesktop {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 15rem;
    justify-content: center;

    &__container {
      &--top {
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        >img{
          height: 7rem;
        }
      }
      &--bottom {
        width: 100%;
        position: relative;
      }
    }
  }
  .nav {
    display: flex;
    padding: 2rem;
    margin-block: -1rem;
    justify-content: center;
  }
  .cover {
    &__logo {
      left: 55%;
      bottom: 30%;
      > p {
        font-size: xxx-large;
      }

      > img {
        height: 32rem;
      }
    }
  }
  .newProducts {
    &__item {
      > img {
        height: 25rem;
      }
    }
  }
  .category {
    &__item {
      > img {
        width: 30rem;
        height: 30rem;
      }
    }
  }
  .bestSellers {
    &__item {
      > img {
        height: 25rem;
      }
    }
  }
  .brandImages {
    &__list {
      > a {
        > img {
          width: 20%;
        }
      }
    }
    &__img {
      width: 20%;
    }
  }
  .footer {
    &__container {
      &--links {
        align-items: baseline;
      }
    }
    &__newsletter {
      align-items: flex-end;
    }
  }
  .footer__newsletter--form {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    margin-inline: 2rem;
  }
  .menuButton {
    display: none;
  }
  .isHidden {
    display: none;
    transition-timing-function: ease-in;
    transition: linear 1s;
  }
}
